# Enum DriverProxy

java.lang.Object
java.lang.Enum<DriverProxy>
com.databricks.jdbc.model.telemetry.enums.DriverProxy

All Implemented Interfaces:
  `Serializable`, `Comparable<DriverProxy>`, `java.lang.constant.Constable`

public enum DriverProxy extends Enum<DriverProxy>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTH_UNSPECIFIED`
`BASIC`
`NONE`
`SPNEGO`

## Method Summary

Modifier and Type
Method
Description
`static DriverProxy`
`getDriverProxy(com.databricks.sdk.core.ProxyConfig.ProxyAuthType proxyAuthType)`
`static DriverProxy`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DriverProxy[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AUTH_UNSPECIFIED

public static final DriverProxy AUTH_UNSPECIFIED

### NONE

public static final DriverProxy NONE

### BASIC

public static final DriverProxy BASIC

### SPNEGO

public static final DriverProxy SPNEGO

## Method Details

### values

public static DriverProxy[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DriverProxy valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDriverProxy

public static DriverProxy getDriverProxy(com.databricks.sdk.core.ProxyConfig.ProxyAuthType proxyAuthType)